﻿using SlnMesnac.Common;
using SlnMesnac.Repository;
using SlnMesnac.Repository.service;
using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using System.Text;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：T14-GEN3-7895
* 命名空间：SlnMesnac.Business
* 唯一标识：63ebb36b-933d-4cea-ac0a-dc197ee33cc7
*
* 创建者：WenJY
* 电子邮箱：
* 创建时间：2024-11-08 15:01:29
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Business
{
    public class BusbarInfoBusiness
    {
        private readonly Ibase_busbar_infoServices _ibase_Busbar_InfoServices;

        public BusbarInfoBusiness(Ibase_busbar_infoServices ibase_Busbar_InfoServices)
        {
            _ibase_Busbar_InfoServices = ibase_Busbar_InfoServices;
        }

        public void QueryBusbarInfo(int cabinetCode, out List<base_busbar_info> infos,bool isInsp = true)
        {
            Expression<Func<base_busbar_info, bool>> exp = s1 => true;
            if (cabinetCode > 0)
            {
                exp = exp.And(x => x.cabinetCode == cabinetCode);
            }

            if (!isInsp)
            {
                exp = exp.And(x => x.isInsp == 0);
            }

            infos = _ibase_Busbar_InfoServices.Query(exp);
        }
    }
}
