﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace SlnMesnac.Repository
{
    ///<summary>
    ///报警信息
    ///</summary>
    [SugarTable("base_alarm_info")]
    public partial class base_alarm_info
    {
           public base_alarm_info(){


           }
           /// <summary>
           /// Desc:标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,ColumnName="obj_id")]
           public int objId {get;set;}

           /// <summary>
           /// Desc:母排编号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="busbar_code")]           
           public int? busbarCode {get;set;}

           /// <summary>
           /// Desc:报警别名
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="alarm_alias")]           
           public string alarmAlias {get;set;}

           /// <summary>
           /// Desc:报警内容
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="alarm_content")]           
           public string alarmContent {get;set;}

           /// <summary>
           /// Desc:报警类型
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="alarm_type")]           
           public int? alarmType {get;set;}

           /// <summary>
           /// Desc:报警阈值
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="alarm_value")]           
           public decimal? alarmValue {get;set;}

           /// <summary>
           /// Desc:判断方式:1-大于；2-小于
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="judg_method")]           
           public int? judgMethod {get;set;}

           /// <summary>
           /// Desc:是否启用:1-是；0-否；;0-否
           /// Default:0
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="is_flag")]           
           public int? isFlag {get;set;}

           /// <summary>
           /// Desc:创建人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="created_by")]           
           public string createdBy {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="created_time")]           
           public DateTime? createdTime {get;set;}

           /// <summary>
           /// Desc:更新人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="updated_by")]           
           public string updatedBy {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="updated_time")]           
           public DateTime? updatedTime {get;set;}

    }
}
