﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace SlnMesnac.Repository
{
    ///<summary>
    ///电柜信息
    ///</summary>
    [SugarTable("base_cabinet_info"), TenantAttribute("iot")]
    public partial class base_cabinet_info
    {
           public base_cabinet_info(){


           }
           /// <summary>
           /// Desc:标识编号
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true,ColumnName="obj_id")]
           public int objId {get;set;}

           /// <summary>
           /// Desc:电柜编号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="cabinet_code")]           
           public int cabinetCode {get;set;}

           /// <summary>
           /// Desc:电柜别名
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="cabinet_alias")]           
           public string cabinetAlias {get;set;}

           /// <summary>
           /// Desc:是否检测:1-是；0-否
           /// Default:0
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="is_checked")]           
           public int? isChecked {get;set;}

           /// <summary>
           /// Desc:是否表示:1-是；0-否
           /// Default:0
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="is_flag")]           
           public int? isFlag {get;set;}

           /// <summary>
           /// Desc:备注
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="remark")]           
           public string remark {get;set;}

           /// <summary>
           /// Desc:创建人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="created_by")]           
           public string createdBy {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:CURRENT_TIMESTAMP
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="created_time")]           
           public DateTime? createdTime {get;set;}

           /// <summary>
           /// Desc:更新人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="updated_by")]           
           public string updatedBy {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:CURRENT_TIMESTAMP
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="updated_time")]           
           public DateTime? updatedTime {get;set;}

        /// <summary>
        /// Desc:是否旋转:1-是;0-否
        /// Default:0
        /// Nullable:True
        /// </summary>
        [SugarColumn(ColumnName = "is_rotate")]
        public int? isRotate { get; set; }

        /// <summary>
        /// Desc:旋转角度
        /// Default:0
        /// Nullable:True
        /// </summary>
        [SugarColumn(ColumnName = "rotate_angle")]
        public decimal rotateAngle { get; set; }

    }
}
