﻿using SlnMesnac.Repository;
using SlnMesnac.WPF.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace SlnMesnac.WPF.Page.CabinetInfo
{
    /// <summary>
    /// BusbarUpdateWindow.xaml 的交互逻辑
    /// </summary>
    public partial class BusbarUpdateWindow : Window
    {
        private BusbarUpdateViewModel viewModel = null;
        public BusbarUpdateWindow(base_busbar_info busbar_Info)
        {
            InitializeComponent();
            viewModel = new BusbarUpdateViewModel(busbar_Info);
            this.DataContext = viewModel;
            viewModel.CloseAction += Close;
        }
    }
}
