﻿using SlnMesnac.Repository;
using SlnMesnac.WPF.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SlnMesnac.WPF.Page.CabinetInfo
{
    /// <summary>
    /// CabinetInfoControl.xaml 的交互逻辑
    /// </summary>
    public partial class CabinetInfoControl : UserControl
    {
        CabinetInfoViewModel cabinetInfoViewModel = new CabinetInfoViewModel();
        public CabinetInfoControl()
        {
            InitializeComponent();
            this.DataContext = cabinetInfoViewModel;
        }

        private void CabinetInfoItemsDataGrid_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            var selectedItem = CabinetInfoItemsDataGrid.SelectedItem as base_cabinet_info;

            if (selectedItem != null)
            {
                cabinetInfoViewModel.QueryBusbarInfo(selectedItem.cabinetCode);
            }
        }
    }
}
