﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace SlnMesnac.Repository
{
    ///<summary>
    ///电柜巡检记录
    ///</summary>
    [SugarTable("record_inspection_cabinet"), TenantAttribute("iot")]
    public partial class record_inspection_cabinet
    {
           public record_inspection_cabinet(){


           }
        /// <summary>
        /// Desc:标识
        /// Default:
        /// Nullable:True
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true, ColumnName = "obj_id")]
        public int? objId {get;set;}

           /// <summary>
           /// Desc:任务编号
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="task_code")]           
           public string taskCode {get;set;}

           /// <summary>
           /// Desc:开始时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="begin_time")]           
           public DateTime? beginTime {get;set;}

           /// <summary>
           /// Desc:结束时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="end_time")]           
           public DateTime? endTime {get;set;}

           /// <summary>
           /// Desc:文件路径
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="file_path")]           
           public string filePath {get;set;}

           /// <summary>
           /// Desc:创建人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="created_by")]           
           public string createdBy {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="created_time")]           
           public DateTime? createdTime {get;set;}

           /// <summary>
           /// Desc:更新人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="updated_by")]           
           public string updatedBy {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="updated_time")]           
           public DateTime? updatedTime {get;set;}

    }
}
