﻿using SlnMesnac.Repository;
using SlnMesnac.WPF.ViewModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace SlnMesnac.WPF.Page.CabinetInfo
{
    /// <summary>
    /// CabinetUpdateWindow.xaml 的交互逻辑
    /// </summary>
    public partial class CabinetUpdateWindow : Window
    {
        private CabinetUpdateViewModel viewModel = null;
        public CabinetUpdateWindow(base_cabinet_info cabinet_Info)
        {
            InitializeComponent();
            viewModel = new CabinetUpdateViewModel(cabinet_Info);
            this.DataContext = viewModel;
            viewModel.CloseAction += Close;
        }
    }
}
